Library Version 18.1.40

DbEnv::lock_put()
Prev | Chapter 7. The DbLock Handle | Next

## DbEnv::lock_put()

    #include <db_cxx.h>

    int
    DbEnv::lock_put(DbLock *lock);

The `DbEnv::lock_put()` method releases lock.

The `DbEnv::lock_put()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lock

The lock parameter is the lock to be released.

### Errors

The `DbEnv::lock_put()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DbEnv, DbLock

### See Also

Locking Subsystem and Related Methods

Prev | Up | Next
DbEnv::lock_id_free() | Home | DbEnv::lock_stat()